<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Lazy Load</title>
</head>

<style>
.wrapper{
    /* width: 500px; */
    display: flex;
    justify-content: center;
    align-items: center;
}
.lazy-image-container{
    margin: 20px;
    height: 300px;
    width: 300px;
    background: gray;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border-radius: 10px;
    overflow: hidden;
}

.lazy-image-container img{
    /* width: 450px; */
    height: 100%;
}

.slide{
    animation-name: slide;
    -webkit-animation-name: slide;
    animation-duration: 1.5s;
    /* -webkit-animation-duration: 1.5s; */
    visibility: visible;
}

@keyframes slide {
    0% {
        /* opacity: 0; */
        /* height: 0; */
        transform: translateY(-100%);
    }

    100% {
        /* opacity: 1; */
        /* height: 100%; */
        transform: translateY(0%);
    }
}

img{
    transform: translateY(-50%);
    opacity: 0;

    transition: all 500ms;
}
.fade{
    transform: translateY(0);
    opacity: 1;

    transition: all 500ms;
}
</style>
<body>

        <!-- concept is to inherit the img source from the alt attr. of its <img> tag so, the file name with extension of the image must be give in the the alt attr. of that <img> while the path of the image is mentioned in the src attr. of that <img>. -->

    <p>

        Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quam optio ea voluptatum molestias sequi tempora nostrum sunt error rem? Quibusdam libero, at consequuntur necessitatibus aspernatur doloribus maxime itaque iusto eaque! Repudiandae iste deleniti quasi numquam unde voluptatum consequuntur quis eveniet. Incidunt vel voluptatem, corporis sapiente reiciendis odio suscipit beatae earum laudantium et exercitationem reprehenderit, expedita culpa tenetur necessitatibus nihil veritatis deserunt optio, error iusto quos quod ad! Perferendis veritatis officiis quisquam necessitatibus! Provident ullam illo quae mollitia. Illum voluptate, quidem repellendus eius ipsum esse beatae repudiandae minima officia fugiat a expedita hic labore tempore voluptatum atque veniam non fuga blanditiis quisquam error rerum sed quas officiis? Aliquam eius mollitia ipsum cupiditate sit nulla suscipit vero assumenda? Porro tempora necessitatibus sequi similique dolorem, consequuntur soluta nostrum dolorum voluptate quaerat hic a exercitationem deserunt facilis amet. Quod dignissimos in nihil repudiandae voluptas, reiciendis provident ipsa voluptatibus atque sequi. Voluptatum, voluptatem magnam illum nesciunt deserunt vitae rerum quisquam sint suscipit hic voluptate consequuntur sed perferendis sit facere modi soluta laudantium recusandae. Odio consequuntur perferendis doloribus veritatis excepturi obcaecati soluta, optio fugit reiciendis ipsam deserunt reprehenderit quae doloremque voluptatibus aliquid ipsum sunt provident architecto eaque nihil! Molestiae aut labore necessitatibus. Ducimus suscipit minus explicabo soluta similique, magni et in vitae, labore aliquid repudiandae molestias. Nobis placeat non nam aspernatur voluptate velit reprehenderit debitis corporis facilis quo! Consequatur deleniti ad, aperiam quis expedita nostrum sed voluptatem maxime natus, voluptates rerum similique vero quasi fugit nulla voluptate sint! At libero incidunt quos officia! Sapiente quo soluta excepturi nemo eligendi, beatae iste quis incidunt, quia ipsa eaque quas et dicta aperiam quos architecto porro aut reiciendis! Aliquid impedit consectetur odit, sit expedita in, fugiat magni sapiente quos iure illum! Vitae ipsum consectetur sed cupiditate qui iste repellat veniam tenetur sit voluptates? Eos neque perferendis aspernatur quaerat amet architecto labore possimus excepturi vero maxime, quae quas assumenda laboriosam aperiam itaque velit alias quam mollitia voluptates impedit sapiente. Libero consectetur labore eos impedit eum laborum praesentium tempore itaque perspiciatis? Nostrum earum consequuntur velit quasi cupiditate ipsum, delectus repellat placeat! Recusandae quasi, impedit, culpa praesentium facere ea provident rerum voluptatibus quae ab eum voluptatem expedita nam! Deleniti, iusto repellendus eos sequi natus iure, asperiores cupiditate quos beatae ratione fugit eius dolorum voluptas labore accusamus voluptatem vel nisi. Maiores incidunt soluta culpa optio provident quaerat. Sed quisquam eligendi neque accusamus amet. Nisi deserunt temporibus quibusdam magnam at laboriosam sed dolores obcaecati repellendus corporis modi, quae, saepe architecto eos. Iure veritatis iste cupiditate reprehenderit eveniet non fuga iusto, consequuntur, tempora veniam possimus commodi ad labore minus et repellat neque repellendus optio sint esse officia sed eaque saepe praesentium! Incidunt officiis tenetur maiores laudantium harum necessitatibus, sint deleniti. Commodi fugiat magnam aliquid, labore accusamus doloremque minima maxime quo inventore quia, culpa cum reprehenderit recusandae nemo pariatur similique sequi officiis nostrum blanditiis. Eius veniam totam vitae, praesentium eveniet facilis officia nam tempora dolor commodi et, iste ipsum amet, libero voluptatum soluta molestias nesciunt a velit sint necessitatibus maxime tenetur. Molestias obcaecati quasi a alias, quam incidunt facere velit doloremque quisquam architecto consequatur unde, et voluptate ipsam soluta perspiciatis accusantium quos neque quis laudantium dignissimos dolor! Dolorem commodi, recusandae pariatur velit magnam officia sequi quisquam vel assumenda, excepturi facilis labore deserunt suscipit. Saepe nobis amet incidunt aliquid voluptate. Ut, fugit. Corrupti aliquid facilis id et impedit veritatis sequi eum nisi magni, voluptates qui dolor! Vitae iure laborum optio expedita neque magni rerum aut necessitatibus laudantium at inventore tempore nostrum, quia in, deserunt provident libero pariatur non exercitationem fuga quae. Repellendus dicta aspernatur ea dolorem, blanditiis deleniti eligendi ab nesciunt debitis at rerum obcaecati culpa vitae facere, ipsa consequatur, labore tempore repellat ex quis. Commodi aperiam beatae eos quisquam nobis excepturi eius quae nisi fugit iure eaque distinctio eveniet corporis, minus ea explicabo dolores voluptate dignissimos id repellendus voluptates provident expedita? Fugit in aspernatur voluptates? Cupiditate, aliquid dicta accusantium est vitae ullam voluptatem quam explicabo eum ut nulla minus optio officiis impedit. Quis ea exercitationem minus ipsa numquam officiis, totam nam esse error ducimus possimus alias, magnam provident ipsam veritatis eius odio enim similique earum eos saepe explicabo recusandae? Maxime mollitia nesciunt aspernatur vel, odit officiis quam laudantium expedita veniam in consectetur incidunt, consequuntur fugit placeat aliquid accusantium aut soluta sit facere cumque recusandae saepe blanditiis quas? Facilis inventore harum omnis nemo praesentium, commodi neque ullam ut in provident quas magni sequi totam voluptatum, porro dolor fuga tempore quo ad aperiam necessitatibus consequatur deleniti ipsam. Odio adipisci ducimus nisi fuga esse eveniet obcaecati maxime vitae repellendus deleniti, repellat accusamus eaque architecto quaerat reprehenderit voluptatibus? Earum provident a eos temporibus error. Quidem in atque ea cum quibusdam molestiae, ab laboriosam! Iste, error. Voluptas, harum nulla! Laudantium sequi, vel facilis consectetur fugiat dignissimos? Molestiae hic incidunt repudiandae est quibusdam nulla explicabo neque autem distinctio ullam omnis, a similique sequi, fuga impedit fugiat ipsum quos accusantium aperiam rem ipsam voluptas, deserunt vero? Illum eligendi quia reprehenderit maxime laudantium cum at ad est aliquam, optio ex, harum fugit excepturi ullam. Ut tempore facilis nobis doloribus assumenda, pariatur fuga quam aspernatur illo corrupti rerum! Quia minima ipsum, ex quos sit voluptas molestiae officia nihil porro ad vitae, enim id pariatur eum modi, unde consequatur consequuntur incidunt iure ea provident. Odio harum facere laudantium, et labore ut, a ipsam consequuntur nobis delectus asperiores, nihil ab quo deleniti iste! Accusamus voluptatum accusantium perferendis molestiae ipsa. Ad dolorem at sit repellat perferendis ea saepe eum nemo itaque quasi esse accusantium, quidem cumque culpa sint sequi voluptatum dicta necessitatibus officiis tempora explicabo quisquam cupiditate eveniet! Fuga minus minima deleniti, blanditiis possimus sed ab. Maxime debitis, ut delectus rem explicabo, voluptas autem cum quod, illum et itaque ipsam at facilis neque ipsa voluptates voluptatum aliquid beatae asperiores officiis! Cumque aliquam labore inventore! Architecto omnis atque dolorem eaque, recusandae vero molestias repellendus rem voluptatibus, nihil nemo obcaecati est ut. Omnis, sit aliquam officiis nulla consectetur alias quas dicta consequatur id voluptates optio, blanditiis exercitationem velit. Consequatur vero assumenda quaerat veritatis quis quos consectetur sed fuga quam rem aut officia, doloribus deleniti temporibus ducimus, nemo nam porro ex laborum dolor neque incidunt quisquam sint? Possimus saepe velit voluptatem non quas repellat magnam accusantium a. Asperiores suscipit nihil deleniti totam cumque molestiae ad sequi molestias obcaecati? Voluptate facere recusandae aliquid pariatur dolore blanditiis autem sequi consectetur earum at modi error ad adipisci sunt eum ullam tempora consequatur, maxime sint ipsam iure soluta natus doloribus? Architecto, aspernatur voluptatum minima, eveniet reprehenderit minus nobis, eaque nostrum quibusdam saepe tempore cum. Aut voluptate assumenda cupiditate aspernatur harum, illum, ut magnam nulla magni pariatur excepturi sint inventore dolore eligendi accusantium eius laudantium sequi veniam doloremque eum perspiciatis itaque sunt possimus. Reprehenderit quia dolor quas delectus facilis nesciunt eos ullam ex, nobis mollitia? Provident delectus tempore distinctio placeat amet odio? Nemo iure fugiat saepe voluptate suscipit asperiores doloremque maxime quaerat ipsa atque animi illum neque, quia aspernatur facilis cum reiciendis. Excepturi nemo mollitia rerum possimus deleniti doloremque nesciunt adipisci dolore, nam ipsum corrupti quos reprehenderit ipsa, corporis nisi placeat illo consequuntur vero ut aperiam! Id, illum perferendis reiciendis quaerat odit soluta eaque iure officia sint corrupti eligendi, cupiditate quam nostrum ipsa dignissimos ipsum quidem illo cumque aliquam est. Maiores debitis voluptatibus facere. Ad, odit! Velit inventore autem modi, consequatur doloremque delectus quo voluptates, molestiae labore necessitatibus repudiandae dolorum? Magni accusantium aliquam ipsum quae, facere hic earum voluptatum in qui quasi commodi quaerat reiciendis excepturi. Atque nostrum recusandae dolorum voluptate dicta repellendus reiciendis nemo fuga qui doloribus quos, hic optio. Explicabo nemo mollitia qui, aut iusto, architecto blanditiis eius neque similique repellendus quisquam expedita dolorem? Sed, assumenda? Debitis obcaecati non temporibus, eum tempore assumenda a eos ea! Molestiae veritatis soluta saepe voluptates explicabo itaque commodi laudantium, ipsa expedita inventore! Recusandae dolorum cum nihil, architecto natus, dolorem quas voluptas reprehenderit id, totam possimus enim necessitatibus maxime inventore. Illum officiis dolorum deleniti inventore? Possimus perspiciatis cupiditate ratione. Similique incidunt obcaecati beatae itaque explicabo eius sit ea soluta dolorum veniam at expedita ipsam fugit deleniti, cupiditate, laudantium aliquam suscipit necessitatibus commodi fuga, repudiandae molestiae quisquam ex. Eos sed mollitia, non necessitatibus quibusdam quo fugit, vero libero recusandae doloribus, culpa a enim quod quam et. Voluptatem modi assumenda maiores saepe ea doloribus sunt inventore est libero dolor praesentium repellat numquam asperiores, temporibus nobis. Expedita suscipit obcaecati sunt impedit nam, at illum. Laudantium dolores id odio assumenda, dolorum eius asperiores earum, quis neque deleniti amet pariatur aliquid, necessitatibus error quibusdam nobis sed commodi. Optio reprehenderit quia fuga repudiandae nihil eum beatae tempore vel quae exercitationem, doloremque assumenda aliquam earum corrupti voluptates veniam est quisquam id nisi fugit molestiae ab enim consequatur vitae! Doloremque amet blanditiis dolorum dolor quaerat nam doloribus ea natus soluta praesentium maiores neque, quas qui obcaecati sed illum dolores dolorem beatae dicta ullam molestiae error commodi ipsam fugiat? At, rem, voluptate nemo laudantium quos, ipsam perspiciatis exercitationem quo dolores earum quaerat qui accusantium necessitatibus! Iusto, magnam dignissimos possimus exercitationem eaque ipsa delectus quod accusantium aut asperiores. Omnis itaque et neque doloremque eaque mollitia maiores. Debitis quaerat officiis cum ratione vero accusantium blanditiis aperiam ipsam officia quos, placeat, minus distinctio totam voluptate alias dignissimos quisquam, nisi ab doloremque eligendi tempora temporibus hic quibusdam? Temporibus, placeat odit repudiandae quos accusamus autem omnis obcaecati nihil nostrum sed, rem neque eveniet dignissimos modi debitis. Dolorum iusto impedit ratione aliquam nesciunt tempora consequatur hic dignissimos harum aliquid temporibus iste molestiae iure, ipsum et corrupti ad corporis voluptatum numquam similique. Ab, id tenetur. Enim omnis, nemo laboriosam in ipsam sit tenetur iusto veniam nam mollitia corrupti excepturi vel laudantium ex iure! Sed, doloremque nulla architecto voluptatibus aut fuga quia, veritatis consequuntur eveniet, officia amet facilis iste magni at maiores quisquam ducimus nostrum. Debitis quibusdam, accusantium natus excepturi similique qui nisi doloribus molestias aliquid voluptatum, quia ab fugit a praesentium totam dicta nihil repellendus, quidem deserunt dolorum? Reiciendis autem corporis non esse dolores mollitia sint doloremque, id consectetur est laboriosam nobis reprehenderit at placeat inventore nemo, consequatur nihil ratione. Ab laboriosam quibusdam, labore inventore nesciunt totam in? Doloribus totam, magnam alias in officiis assumenda voluptatem praesentium facilis ad esse, quisquam optio laborum quasi ea reiciendis consectetur id animi fugiat. Reiciendis, quas optio sed dolore aut, ipsum et similique quisquam perspiciatis dicta porro ea molestiae deserunt, laudantium velit! Aspernatur fugit inventore unde sed, nisi corporis adipisci ex quo est impedit at molestiae possimus nobis culpa voluptates quisquam id repellendus eos tempora. Quas nulla dignissimos fuga et sunt repellendus, assumenda eligendi iste sapiente neque cum fugit nihil, soluta accusantium odio eaque quisquam officiis, quaerat doloribus rem necessitatibus animi voluptatum. Tenetur quis accusamus omnis molestias eveniet quam recusandae iure provident, architecto cum expedita inventore, corporis voluptas, rem minima qui dicta velit! Nihil mollitia ducimus quia voluptates, necessitatibus fuga voluptas nobis numquam ad aut eaque officia maiores fugiat atque nesciunt et magni quisquam minus ipsa labore at. Eligendi accusamus porro ex maxime a fugiat velit dolore tempora pariatur atque consequuntur, corporis voluptate sed nostrum rerum odit id magni, sapiente facere fuga repellendus error esse illo? Esse molestiae quibusdam repudiandae illum ullam soluta, cupiditate alias vitae omnis eos assumenda, sed laboriosam aperiam exercitationem quis ex accusamus sequi ut mollitia quod maiores ea odio nostrum magnam. Vel sint ipsum, itaque iure vero optio quod corrupti numquam accusantium nihil alias dignissimos debitis autem ea. Aut ex quo consectetur magni minima necessitatibus exercitationem sequi tenetur odit! Repellendus sit quod nulla molestiae. Ut molestias ratione ducimus at laborum, tempora est iure esse culpa quaerat rem incidunt dolor ipsum, debitis repellat asperiores voluptates suscipit alias vel exercitationem. Hic, incidunt atque. Eligendi tempore consequatur minus nam similique amet quaerat veritatis, minima eaque, quibusdam dolores corporis perspiciatis iusto praesentium commodi eum cumque cupiditate nisi, hic officia ratione. Eius ratione quam quaerat, odio est deleniti? Nisi dolores illum eligendi nihil deserunt eum ab labore voluptatem maxime possimus culpa aut, iste accusamus earum ullam neque provident laboriosam similique rerum recusandae? Optio architecto consectetur ipsam libero, harum alias exercitationem amet modi voluptatem laudantium aliquam soluta laborum omnis asperiores? Magnam tempora veritatis excepturi officiis delectus consequatur quaerat ipsa similique eveniet.
        
    </p>

    <div class="wrapper">
        <div class="lazy-image-container">
            <!-- alt attr. must container the file name with extension of the image -->
            <img alt="./images/pokhara.jpg"> 
        </div>
        <div class="lazy-image-container">
            <img alt="./images/mardi-Himal.jpg">
        </div>
        <div class="lazy-image-container">
            <img alt="./images/nepal-everest-1.jpg">
        </div>
        <div class="lazy-image-container">
            <img alt="./images/shutterstock_468651074.jpg">
        </div>
    </div>
    
    <button>show image</button>

    <p>
        
        Lorem, ipsum dolor sit amet consectetur adipisicing elit. Quam optio ea voluptatum molestias sequi tempora nostrum sunt error rem? Quibusdam libero, at consequuntur necessitatibus aspernatur doloribus maxime itaque iusto eaque! Repudiandae iste deleniti quasi numquam unde voluptatum consequuntur quis eveniet. Incidunt vel voluptatem, corporis sapiente reiciendis odio suscipit beatae earum laudantium et exercitationem reprehenderit, expedita culpa tenetur necessitatibus nihil veritatis deserunt optio, error iusto quos quod ad! Perferendis veritatis officiis quisquam necessitatibus! Provident ullam illo quae mollitia. Illum voluptate, quidem repellendus eius ipsum esse beatae repudiandae minima officia fugiat a expedita hic labore tempore voluptatum atque veniam non fuga blanditiis quisquam error rerum sed quas officiis? Aliquam eius mollitia ipsum cupiditate sit nulla suscipit vero assumenda? Porro tempora necessitatibus sequi similique dolorem, consequuntur soluta nostrum dolorum voluptate quaerat hic a exercitationem deserunt facilis amet. Quod dignissimos in nihil repudiandae voluptas, reiciendis provident ipsa voluptatibus atque sequi. Voluptatum, voluptatem magnam illum nesciunt deserunt vitae rerum quisquam sint suscipit hic voluptate consequuntur sed perferendis sit facere modi soluta laudantium recusandae. Odio consequuntur perferendis doloribus veritatis excepturi obcaecati soluta, optio fugit reiciendis ipsam deserunt reprehenderit quae doloremque voluptatibus aliquid ipsum sunt provident architecto eaque nihil! Molestiae aut labore necessitatibus. Ducimus suscipit minus explicabo soluta similique, magni et in vitae, labore aliquid repudiandae molestias. Nobis placeat non nam aspernatur voluptate velit reprehenderit debitis corporis facilis quo! Consequatur deleniti ad, aperiam quis expedita nostrum sed voluptatem maxime natus, voluptates rerum similique vero quasi fugit nulla voluptate sint! At libero incidunt quos officia! Sapiente quo soluta excepturi nemo eligendi, beatae iste quis incidunt, quia ipsa eaque quas et dicta aperiam quos architecto porro aut reiciendis! Aliquid impedit consectetur odit, sit expedita in, fugiat magni sapiente quos iure illum! Vitae ipsum consectetur sed cupiditate qui iste repellat veniam tenetur sit voluptates? Eos neque perferendis aspernatur quaerat amet architecto labore possimus excepturi vero maxime, quae quas assumenda laboriosam aperiam itaque velit alias quam mollitia voluptates impedit sapiente. Libero consectetur labore eos impedit eum laborum praesentium tempore itaque perspiciatis? Nostrum earum consequuntur velit quasi cupiditate ipsum, delectus repellat placeat! Recusandae quasi, impedit, culpa praesentium facere ea provident rerum voluptatibus quae ab eum voluptatem expedita nam! Deleniti, iusto repellendus eos sequi natus iure, asperiores cupiditate quos beatae ratione fugit eius dolorum voluptas labore accusamus voluptatem vel nisi. Maiores incidunt soluta culpa optio provident quaerat. Sed quisquam eligendi neque accusamus amet. Nisi deserunt temporibus quibusdam magnam at laboriosam sed dolores obcaecati repellendus corporis modi, quae, saepe architecto eos. Iure veritatis iste cupiditate reprehenderit eveniet non fuga iusto, consequuntur, tempora veniam possimus commodi ad labore minus et repellat neque repellendus optio sint esse officia sed eaque saepe praesentium! Incidunt officiis tenetur maiores laudantium harum necessitatibus, sint deleniti. Commodi fugiat magnam aliquid, labore accusamus doloremque minima maxime quo inventore quia, culpa cum reprehenderit recusandae nemo pariatur similique sequi officiis nostrum blanditiis. Eius veniam totam vitae, praesentium eveniet facilis officia nam tempora dolor commodi et, iste ipsum amet, libero voluptatum soluta molestias nesciunt a velit sint necessitatibus maxime tenetur. Molestias obcaecati quasi a alias, quam incidunt facere velit doloremque quisquam architecto consequatur unde, et voluptate ipsam soluta perspiciatis accusantium quos neque quis laudantium dignissimos dolor! Dolorem commodi, recusandae pariatur velit magnam officia sequi quisquam vel assumenda, excepturi facilis labore deserunt suscipit. Saepe nobis amet incidunt aliquid voluptate. Ut, fugit. Corrupti aliquid facilis id et impedit veritatis sequi eum nisi magni, voluptates qui dolor! Vitae iure laborum optio expedita neque magni rerum aut necessitatibus laudantium at inventore tempore nostrum, quia in, deserunt provident libero pariatur non exercitationem fuga quae. Repellendus dicta aspernatur ea dolorem, blanditiis deleniti eligendi ab nesciunt debitis at rerum obcaecati culpa vitae facere, ipsa consequatur, labore tempore repellat ex quis. Commodi aperiam beatae eos quisquam nobis excepturi eius quae nisi fugit iure eaque distinctio eveniet corporis, minus ea explicabo dolores voluptate dignissimos id repellendus voluptates provident expedita? Fugit in aspernatur voluptates? Cupiditate, aliquid dicta accusantium est vitae ullam voluptatem quam explicabo eum ut nulla minus optio officiis impedit. Quis ea exercitationem minus ipsa numquam officiis, totam nam esse error ducimus possimus alias, magnam provident ipsam veritatis eius odio enim similique earum eos saepe explicabo recusandae? Maxime mollitia nesciunt aspernatur vel, odit officiis quam laudantium expedita veniam in consectetur incidunt, consequuntur fugit placeat aliquid accusantium aut soluta sit facere cumque recusandae saepe blanditiis quas? Facilis inventore harum omnis nemo praesentium, commodi neque ullam ut in provident quas magni sequi totam voluptatum, porro dolor fuga tempore quo ad aperiam necessitatibus consequatur deleniti ipsam. Odio adipisci ducimus nisi fuga esse eveniet obcaecati maxime vitae repellendus deleniti, repellat accusamus eaque architecto quaerat reprehenderit voluptatibus? Earum provident a eos temporibus error. Quidem in atque ea cum quibusdam molestiae, ab laboriosam! Iste, error. Voluptas, harum nulla! Laudantium sequi, vel facilis consectetur fugiat dignissimos? Molestiae hic incidunt repudiandae est quibusdam nulla explicabo neque autem distinctio ullam omnis, a similique sequi, fuga impedit fugiat ipsum quos accusantium aperiam rem ipsam voluptas, deserunt vero? Illum eligendi quia reprehenderit maxime laudantium cum at ad est aliquam, optio ex, harum fugit excepturi ullam. Ut tempore facilis nobis doloribus assumenda, pariatur fuga quam aspernatur illo corrupti rerum! Quia minima ipsum, ex quos sit voluptas molestiae officia nihil porro ad vitae, enim id pariatur eum modi, unde consequatur consequuntur incidunt iure ea provident. Odio harum facere laudantium, et labore ut, a ipsam consequuntur nobis delectus asperiores, nihil ab quo deleniti iste! Accusamus voluptatum accusantium perferendis molestiae ipsa. Ad dolorem at sit repellat perferendis ea saepe eum nemo itaque quasi esse accusantium, quidem cumque culpa sint sequi voluptatum dicta necessitatibus officiis tempora explicabo quisquam cupiditate eveniet! Fuga minus minima deleniti, blanditiis possimus sed ab. Maxime debitis, ut delectus rem explicabo, voluptas autem cum quod, illum et itaque ipsam at facilis neque ipsa voluptates voluptatum aliquid beatae asperiores officiis! Cumque aliquam labore inventore! Architecto omnis atque dolorem eaque, recusandae vero molestias repellendus rem voluptatibus, nihil nemo obcaecati est ut. Omnis, sit aliquam officiis nulla consectetur alias quas dicta consequatur id voluptates optio, blanditiis exercitationem velit. Consequatur vero assumenda quaerat veritatis quis quos consectetur sed fuga quam rem aut officia, doloribus deleniti temporibus ducimus, nemo nam porro ex laborum dolor neque incidunt quisquam sint? Possimus saepe velit voluptatem non quas repellat magnam accusantium a. Asperiores suscipit nihil deleniti totam cumque molestiae ad sequi molestias obcaecati? Voluptate facere recusandae aliquid pariatur dolore blanditiis autem sequi consectetur earum at modi error ad adipisci sunt eum ullam tempora consequatur, maxime sint ipsam iure soluta natus doloribus? Architecto, aspernatur voluptatum minima, eveniet reprehenderit minus nobis, eaque nostrum quibusdam saepe tempore cum. Aut voluptate assumenda cupiditate aspernatur harum, illum, ut magnam nulla magni pariatur excepturi sint inventore dolore eligendi accusantium eius laudantium sequi veniam doloremque eum perspiciatis itaque sunt possimus. Reprehenderit quia dolor quas delectus facilis nesciunt eos ullam ex, nobis mollitia? Provident delectus tempore distinctio placeat amet odio? Nemo iure fugiat saepe voluptate suscipit asperiores doloremque maxime quaerat ipsa atque animi illum neque, quia aspernatur facilis cum reiciendis. Excepturi nemo mollitia rerum possimus deleniti doloremque nesciunt adipisci dolore, nam ipsum corrupti quos reprehenderit ipsa, corporis nisi placeat illo consequuntur vero ut aperiam! Id, illum perferendis reiciendis quaerat odit soluta eaque iure officia sint corrupti eligendi, cupiditate quam nostrum ipsa dignissimos ipsum quidem illo cumque aliquam est. Maiores debitis voluptatibus facere. Ad, odit! Velit inventore autem modi, consequatur doloremque delectus quo voluptates, molestiae labore necessitatibus repudiandae dolorum? Magni accusantium aliquam ipsum quae, facere hic earum voluptatum in qui quasi commodi quaerat reiciendis excepturi. Atque nostrum recusandae dolorum voluptate dicta repellendus reiciendis nemo fuga qui doloribus quos, hic optio. Explicabo nemo mollitia qui, aut iusto, architecto blanditiis eius neque similique repellendus quisquam expedita dolorem? Sed, assumenda? Debitis obcaecati non temporibus, eum tempore assumenda a eos ea! Molestiae veritatis soluta saepe voluptates explicabo itaque commodi laudantium, ipsa expedita inventore! Recusandae dolorum cum nihil, architecto natus, dolorem quas voluptas reprehenderit id, totam possimus enim necessitatibus maxime inventore. Illum officiis dolorum deleniti inventore? Possimus perspiciatis cupiditate ratione. Similique incidunt obcaecati beatae itaque explicabo eius sit ea soluta dolorum veniam at expedita ipsam fugit deleniti, cupiditate, laudantium aliquam suscipit necessitatibus commodi fuga, repudiandae molestiae quisquam ex. Eos sed mollitia, non necessitatibus quibusdam quo fugit, vero libero recusandae doloribus, culpa a enim quod quam et. Voluptatem modi assumenda maiores saepe ea doloribus sunt inventore est libero dolor praesentium repellat numquam asperiores, temporibus nobis. Expedita suscipit obcaecati sunt impedit nam, at illum. Laudantium dolores id odio assumenda, dolorum eius asperiores earum, quis neque deleniti amet pariatur aliquid, necessitatibus error quibusdam nobis sed commodi. Optio reprehenderit quia fuga repudiandae nihil eum beatae tempore vel quae exercitationem, doloremque assumenda aliquam earum corrupti voluptates veniam est quisquam id nisi fugit molestiae ab enim consequatur vitae! Doloremque amet blanditiis dolorum dolor quaerat nam doloribus ea natus soluta praesentium maiores neque, quas qui obcaecati sed illum dolores dolorem beatae dicta ullam molestiae error commodi ipsam fugiat? At, rem, voluptate nemo laudantium quos, ipsam perspiciatis exercitationem quo dolores earum quaerat qui accusantium necessitatibus! Iusto, magnam dignissimos possimus exercitationem eaque ipsa delectus quod accusantium aut asperiores. Omnis itaque et neque doloremque eaque mollitia maiores. Debitis quaerat officiis cum ratione vero accusantium blanditiis aperiam ipsam officia quos, placeat, minus distinctio totam voluptate alias dignissimos quisquam, nisi ab doloremque eligendi tempora temporibus hic quibusdam? Temporibus, placeat odit repudiandae quos accusamus autem omnis obcaecati nihil nostrum sed, rem neque eveniet dignissimos modi debitis. Dolorum iusto impedit ratione aliquam nesciunt tempora consequatur hic dignissimos harum aliquid temporibus iste molestiae iure, ipsum et corrupti ad corporis voluptatum numquam similique. Ab, id tenetur. Enim omnis, nemo laboriosam in ipsam sit tenetur iusto veniam nam mollitia corrupti excepturi vel laudantium ex iure! Sed, doloremque nulla architecto voluptatibus aut fuga quia, veritatis consequuntur eveniet, officia amet facilis iste magni at maiores quisquam ducimus nostrum. Debitis quibusdam, accusantium natus excepturi similique qui nisi doloribus molestias aliquid voluptatum, quia ab fugit a praesentium totam dicta nihil repellendus, quidem deserunt dolorum? Reiciendis autem corporis non esse dolores mollitia sint doloremque, id consectetur est laboriosam nobis reprehenderit at placeat inventore nemo, consequatur nihil ratione. Ab laboriosam quibusdam, labore inventore nesciunt totam in? Doloribus totam, magnam alias in officiis assumenda voluptatem praesentium facilis ad esse, quisquam optio laborum quasi ea reiciendis consectetur id animi fugiat. Reiciendis, quas optio sed dolore aut, ipsum et similique quisquam perspiciatis dicta porro ea molestiae deserunt, laudantium velit! Aspernatur fugit inventore unde sed, nisi corporis adipisci ex quo est impedit at molestiae possimus nobis culpa voluptates quisquam id repellendus eos tempora. Quas nulla dignissimos fuga et sunt repellendus, assumenda eligendi iste sapiente neque cum fugit nihil, soluta accusantium odio eaque quisquam officiis, quaerat doloribus rem necessitatibus animi voluptatum. Tenetur quis accusamus omnis molestias eveniet quam recusandae iure provident, architecto cum expedita inventore, corporis voluptas, rem minima qui dicta velit! Nihil mollitia ducimus quia voluptates, necessitatibus fuga voluptas nobis numquam ad aut eaque officia maiores fugiat atque nesciunt et magni quisquam minus ipsa labore at. Eligendi accusamus porro ex maxime a fugiat velit dolore tempora pariatur atque consequuntur, corporis voluptate sed nostrum rerum odit id magni, sapiente facere fuga repellendus error esse illo? Esse molestiae quibusdam repudiandae illum ullam soluta, cupiditate alias vitae omnis eos assumenda, sed laboriosam aperiam exercitationem quis ex accusamus sequi ut mollitia quod maiores ea odio nostrum magnam. Vel sint ipsum, itaque iure vero optio quod corrupti numquam accusantium nihil alias dignissimos debitis autem ea. Aut ex quo consectetur magni minima necessitatibus exercitationem sequi tenetur odit! Repellendus sit quod nulla molestiae. Ut molestias ratione ducimus at laborum, tempora est iure esse culpa quaerat rem incidunt dolor ipsum, debitis repellat asperiores voluptates suscipit alias vel exercitationem. Hic, incidunt atque. Eligendi tempore consequatur minus nam similique amet quaerat veritatis, minima eaque, quibusdam dolores corporis perspiciatis iusto praesentium commodi eum cumque cupiditate nisi, hic officia ratione. Eius ratione quam quaerat, odio est deleniti? Nisi dolores illum eligendi nihil deserunt eum ab labore voluptatem maxime possimus culpa aut, iste accusamus earum ullam neque provident laboriosam similique rerum recusandae? Optio architecto consectetur ipsam libero, harum alias exercitationem amet modi voluptatem laudantium aliquam soluta laborum omnis asperiores? Magnam tempora veritatis excepturi officiis delectus consequatur quaerat ipsa similique eveniet.
    </p>

    <div class="wrapper">
            <div class="lazy-image-container">
                <img alt="./images/pokhara.jpg">
            </div>
            <div class="lazy-image-container">
                <img alt="./images/mardi-Himal.jpg">
            </div>
            <div class="lazy-image-container">
                <img alt="./images/nepal-everest-1.jpg">
            </div>
            <div class="lazy-image-container">
                <img alt="./images/shutterstock_468651074.jpg">
            </div>
        </div>
    





    <script src="js/jQuery.js"></script>

    <script>
        const targets = document.querySelectorAll('img');

        const lazyLoad = target => {
            const io = new IntersectionObserver((entries, observer) => {

                entries.forEach(entry => {
                    console.log('&');

                    if(entry.isIntersecting){
                        const img = entry.target;
                        const src = img.getAttribute('alt');

                        img.setAttribute('src', src);
                        img.classList.add('fade');

                        observer.disconnect();
                    }
                });

            });

            io.observe(target);
        };

        targets.forEach(lazyLoad);
    </script>

    <!-- <script>

        //concept is to inherit the img source from the alt attr. of its <img> tag so, the file name with extension of the image must be give in the the alt attr. of that <img> while the path of the image is mentioned in the src attr. of that <img>.
    
    var lazyContainer =  document.getElementsByClassName('lazy-image-container');
    var lazyImage = document.querySelectorAll('.lazy-image-container img');
    
    function lazyLoad(){

        for(var i=0; i < lazyImage.length; i++){
            var lazyImageSrc = lazyImage[i].alt;
            lazyImage[i].src = "./images/" + lazyImageSrc;
        }
    }

    //when user scrolls the screen 

    $(window).scroll(function() {
        var scrollTop = $(window).scrollTop();
    
        $(lazyImage).each(function(){
            var pos = $(this).offset().top;
            
            var winTop = $(window).scrollTop();
            
            if (pos < winTop + 600) {
                lazyLoad();
                $(this).addClass("slide");
            }     
        });
    });

    //image vako screen ma window reload garema
    //if user reloads the window staying in the image containing window

    // window.addEventListener('load', ()=>{
    //     var scrollTop = $(window).scrollTop();
    
    //     $(lazyImage).each(function(){
    //         var pos = $(this).offset().top;
            
    //         var winTop = $(window).scrollTop();
            
    //         if (pos < winTop + 600) {
    //             lazyLoad();
    
    //             $(this).addClass("slide");
    //         }     
    //     });
    // })

    
    

  

    </script> -->
</body>
</html>